Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.layout
Class FormLayoutData

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.layout.LayoutData
                  com.gwtext.client.widgets.layout.FormLayoutData

    public class FormLayoutData

extends LayoutData

Supporting class for `FormLayout`. Any type of components can be added to a FormLayout, but items that inherit from `Field` can also supply the following field-specific config properties.

See Also:
  `FormLayout`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`FormLayoutData()`

Method Summary
`void` | `setClearCls(java.lang.String clearCls)` The CSS class to apply to the special clearing div rendered directly after each form field wrapper (defaults to 'x-form-clear-left')
`void` | `setFieldLabel(java.lang.String fieldLabel)` The text to display as the label for this field (defaults to '')
`void` | `setHideLabel(boolean hideLabel)` True to hide the label and separator for this field (defaults to false).
`void` | `setItemCls(java.lang.String itemCls)` A CSS class to add to the div wrapper that contains this field label and field element (the default class is 'x-form-item' and itemCls will be added to that).
`void` | `setLabelSeparator(java.lang.String labelSeparator)` The separator to display after the text of the label for this field (defaults to a colon ':' or the layout's value for labelSeparator).
`void` | `setLabelStyle(java.lang.String labelStyle)` A CSS style specification string to add to the field label for this field (defaults to '' or the layout's value for labelStyle).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormLayoutData

    public FormLayoutData()

Method Detail

### setClearCls

    public void setClearCls(java.lang.String clearCls)

  The CSS class to apply to the special clearing div rendered directly after each form field wrapper (defaults to 'x-form-clear-left')

  Parameters:
    `clearCls` - the CSS class to apply to the special clearing div rendered directly after each form field wrapper (defaults to 'x-form-clear-left')

### setFieldLabel

    public void setFieldLabel(java.lang.String fieldLabel)

  The text to display as the label for this field (defaults to '')

  Parameters:
    `fieldLabel` - the text to display as the label for this field (defaults to '')

### setHideLabel

    public void setHideLabel(boolean hideLabel)

  True to hide the label and separator for this field (defaults to false).

  Parameters:
    `hideLabel` - true to hide the label and separator for this field (defaults to false).

### setItemCls

    public void setItemCls(java.lang.String itemCls)

  A CSS class to add to the div wrapper that contains this field label and field element (the default class is 'x-form-item' and itemCls will be added to that). If supplied, itemCls at the field level will override the default itemCls supplied at the container level.

  Parameters:
    `itemCls` - the item CSS class

### setLabelSeparator

    public void setLabelSeparator(java.lang.String labelSeparator)

  The separator to display after the text of the label for this field (defaults to a colon ':' or the layout's value for labelSeparator). To hide the separator use empty string ''.

  Parameters:
    `labelSeparator` - the label separator

### setLabelStyle

    public void setLabelStyle(java.lang.String labelStyle)

  A CSS style specification string to add to the field label for this field (defaults to '' or the layout's value for labelStyle).

  Parameters:
    `labelStyle` - the label CSS style

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD